#ifndef SCREENMODE_H
#define SCREENMODE_H

// REG_DISPCNT defines

enum	EDISPCNT
	{
	MODE_0	=0x0,
	MODE_1	=0x1,
	MODE_2	=0x2,
	MODE_3	=0x3,
	MODE_4	=0x4,
	MODE_5	=0x5,
	
	BACKBUFFER		=0x10,
	H_BLANK_OAM		=0x20,
	
	OBJ_MAP_2D		=0x0,
	OBJ_MAP_1D		=0x40,
	
	FORCE_BLANK		=0x80,
	
	BG0_ENABLE		=0x100,
	BG1_ENABLE		=0x200,
	BG2_ENABLE		=0x400,
	BG3_ENABLE		=0x800,
	OBJ_ENABLE		=0x1000,
	
	WIN1_ENABLE		=0x2000,
	WIN2_ENABLE		=0x4000,
	WINOBJ_ENABLE	=0x8000
	};

inline	void	SetMode(int	mode)	{REG_DISPCNT=(mode);}

#endif
